#ifndef _HMI_UPDATE
#define _HMI_UPDATE


#define LIMITER_U_I_PULT    5.0 //10.0


typedef enum {
	state_not_init = 0, state_ready1 = 1, state_ready2, state_go, state_assemble, state_fault, state_accident
} Inverter_state;

void update_tables_HMI(void);
void update_logs_cmd_HMI(void);
void update_tables_HMI_on_inited(int perc_load);

void update_tables_HMI_analog(void);
void update_tables_HMI_discrete(void);

int update_progress_load_hmi(int proc_load);

void setStateHMI(Inverter_state state);
void setElementsColorsHMI(Inverter_state state);

void get_command_HMI(void);
void func_unpack_answer_from_Ingeteam(unsigned int cc);

extern int hmi_watch_dog;

void update_nPCH(void);

void inc_count_build(void);
void inc_count_revers(void);

void set_write_slow_logs(int cmd);

void update_LoggerParams(void);


#endif //_HMI_UPDATE
